Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class LoadPlanHandler.LoadPlanAction

    java.lang.Object
      ix.ip2.HandlerAction
          ix.ip2.LoadPlanHandler.LoadPlanAction

Direct Known Subclasses:
  LoadPlanHandler.ReplacePlanAction

Enclosing class:
  LoadPlanHandler

     class LoadPlanHandler.LoadPlanAction

extends HandlerAction

Nested Class Summary

Nested classes/interfaces inherited from class ix.ip2.HandlerAction
`HandlerAction.Automatic, HandlerAction.AutomaticWhenBound, HandlerAction.Manual, HandlerAction.NoAction, HandlerAction.NotApplicable`

Field Summary
`(package private) AgendaItem` | `item`

Fields inherited from class ix.ip2.HandlerAction
`shortDescription`

Constructor Summary
`LoadPlanHandler.LoadPlanAction(AgendaItem item)`
`LoadPlanHandler.LoadPlanAction(AgendaItem item, java.lang.String shortDescription)`

Method Summary
`(package private) Plan` | `getSpecifiedPlan(AgendaItem item)`
`ActionUnreadyReason` | `getUnreadyReason()` Returns an object that explains why this handler is not ready to be used.
`void` | `handle(AgendaItem item)` Handle the item in the manner appropriate to this handler-action.
`boolean` | `isReady()` Indicates whether this action is ready to be used or else is waiting for something that would enable it to be used.

Methods inherited from class ix.ip2.HandlerAction
`canAlwaysBeTakenNow, computeStatus, getActionDescription, isStillValid, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### item

    AgendaItem item

Constructor Detail

### LoadPlanHandler.LoadPlanAction

    LoadPlanHandler.LoadPlanAction(AgendaItem item)

### LoadPlanHandler.LoadPlanAction

    LoadPlanHandler.LoadPlanAction(AgendaItem item,
                                   java.lang.String shortDescription)

Method Detail

### isReady

    public boolean isReady()

  Description copied from class: `HandlerAction`
  Indicates whether this action is ready to be used or else is waiting for something that would enable it to be used. The method in the HandlerAction class just returns true and is overridden in subclasses that have instances that are not always ready.

  Overrides:
    `isReady` in class `HandlerAction`
  See Also:
    `HandlerAction.getUnreadyReason()`

### getUnreadyReason

    public ActionUnreadyReason getUnreadyReason()

  Description copied from class: `HandlerAction`
  Returns an object that explains why this handler is not ready to be used.

  Overrides:
    `getUnreadyReason` in class `HandlerAction`
  See Also:
    `HandlerAction.isReady()`

### handle

    public void handle(AgendaItem item)

  Description copied from class: `HandlerAction`
  Handle the item in the manner appropriate to this handler-action. The method in the HandlerAction class merely changes the item's status to COMPLETE and is overridden in subclasses that handle the item in more interesting ways.

  Overrides:
    `handle` in class `HandlerAction`

### getSpecifiedPlan

    Plan getSpecifiedPlan(AgendaItem item)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD